%define   build_v 1

Name:     yumex
Version:  0.42
Release:  1.0%{?dist}
Summary:  Yum Extender graphical package management tool

Group:    Applications/System
License:  GPL
URL:      http://linux.rasmil.dk/yumex
Source0:  http://linux.rasmil.dk/dnl/yumex/%{name}-%{version}-%{build_v}.tar.gz
BuildRoot:%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext

Requires: yum >= 2.3.2
Requires: pygtk2
Requires: usermode
Requires: pygtk2-libglade

%description
Graphical User Interface for Yum.


%prep
%setup


%build
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install --vendor fedora --delete-original \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# this is a doc file; removing from installed tree
rm $RPM_BUILD_ROOT%{_datadir}/yumex/COPYING

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT

%files -f  %{name}.lang
%defattr(-, root, root, -)
%doc COPYING ChangeLog
%{_datadir}/pixmaps/yumex
%{_datadir}/yumex

%{_bindir}/yumex

%config(noreplace)  %{_sysconfdir}/yumex.profiles.conf
%config(noreplace)  %{_sysconfdir}/yumex.conf
%config(noreplace) %{_sysconfdir}/pam.d/yumex
%config(noreplace) %{_sysconfdir}/security/console.apps/yumex

%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Wed Aug 17 2005 Tim Lauridsen <tla@rasmil.dk> - 0.42-1.0
- Release 0.42
- Added Requires: pygtk2-libglade (Bugzilla 163439)
- A lot of changes and new features, check Changelog for details.
* Tue Jun 21 2005 Michael A. Peters <mpeters@mac.com> - 0.40-5.1
- removed unnecessary [ "$RPM_BUILD_ROOT" != "/" ] checks
- commented out python-abi check - automatic in fc4
- added gettext BuildRequires
- removed --add-category X-Red-Hat-Base

* Mon Jun 20 2005 Tim Lauridsen <tla@rasmil.dk> 0.40-4.2
- updated build_v to 4.2 & release to 4.2, They have to match
* Mon Jun 20 2005 Michael A. Peters <mpeters@mac.com> - 0.40-4.1
- added build_v macro
- change {release} in Source0 to %{build_v} so it would properly expand when
- {?dist} is defined

* Mon Jun 20 2005 Tim Lauridsen <tla@rasmil.dk> 0.40-4
- Add Release to source tar.gz
- Changed Source0 URL
- Fixed absolut link in Makefile (consolehelper)
- Updated Release in yumex.py
- Update archive section in Makefile to include release in tar.gz.
* Sun Jun 19 2005 Tim Lauridsen <tla@rasmil.dk> 0.40-3
- Moved yumex.profiles.conf back to /etc.
- Added Fedora repos to yumex.repos.conf.
- Added full URL to Source0.
- Added Requires: usermode.
- Fixed files section.

* Sat Jun 18 2005 Tim Lauridsen <tla@rasmil.dk>
- added yumex.repos.conf again, it is used at a template for creating .repo files by
  the yumex repo installer, it is not used at a yum.conf replacement.
- moved yumex.profiles.conf & yumex.repos.conf from /etc to /usr/share/yumex.
- clean out the yumex.repos.conf, because it contains links to grayzone stuff.
* Fri Jun 17 2005 Matthew Miller <mattdm@mattdm.org> - 0.40-2
- clean up formatting of rpm header lines to match typical FE packages
- remove some rpm-howto/template comments
- don't need to go deleting the buildroot quite so often
- put some whitespace in the changelog to stop my eyes from bleeding ;)
- move to group Applications/System to match system-config-packages
- find_lang instead of listing datadir/locale in files
- buildrequires python-devel, not just plain python
- requires python-abi magicstuff
- remove echo statements from post scriptlet -- rpm should be quiet 
  except in emergencies
- actually, remove that entirely -- instead, put the default config file
  in place as config(noreplace)
- add ChangeLog as doc file
- remove COPYING from the installed tree; add as doc file
- list more files explicitly instead of using wildcards -- more work, but
  safer
- install .desktop file with desktop-file-install
- default permissions are right for .desktop file -- not listing separately
- add symlink for consolehelper
- remove yumex.repos.conf -- use regular /etc/yum.repos.d repos instead
  (and, the default ones contain several not-safe-for-fedora repos)

* Wed Jun 15 2005 Tim Lauridsen <tla@rasmil.dk>
- 0.40-01 FC4 release Build

* Mon May 17 2005 Tim Lauridsen <tla@rasmil.dk>
- 0.39-03 FC4 prerelease Build

* Thu May 13 2005 Tim Lauridsen <tla@rasmil.dk>
- 0.39-02 FC4 prerelease Build

* Thu Apr 28 2005 Tim Lauridsen <tla@rasmil.dk>
- 0.39-01 First FC4 prerelease Build

* Mon Apr 11 2005 Tim Lauridsen <tla@rasmil.dk>
- 0.34-01 Release Build

* Wed Apr 06 2005 Tim Lauridsen <tla@rasmil.dk>
- 0.33-03

* Thu Mar 31 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.33-02
- No Requires : yum >= 2.2.0
- Removed gpgkey installation, yum 2.2.0 can handle this

* Tue Mar 29 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.33-01
- Now using make to do the real stuff.

* Fri Mar 4 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.32-5
- Changed post install to only install i yumex.conf if it not exists.

* Wed Mar 2 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.32-2

* Thu Feb 24 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.32-1

* Fri Feb 11 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.31-1
- Release 0.31

* Tue Jan 25 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.30-2
- fixed error printing emtpy string (yum info package) 

* Tue Jan 25 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.30-1 
- Added GPL License (COPYING) to package
- Added automatic refresh at program start.

* Sat Jan 22 2005 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.30 Build

* Wed Dec 22 2004 Tim Lauridsen <tla@rasmil.dk>
- fixed problem with no repos in yum.conf

* Mon Dec 20 2004 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.23 RPM Build

* Sun Dec 19 2004 Tim Lauridsen <tla@rasmil.dk>
- Changed permission flags on non execution files (755 -> 644)

* Tue Dec 13 2004 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.22 RPM Build

* Tue Dec 7 2004 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.21 RPM Build

* Tue Nov 30 2004 Tim Lauridsen <tla@rasmil.dk>
- Ver 0.20 RPM Build

* Wed Nov 24 2004 Tim Lauridsen <tla@rasmil.dk>
- Initial RPM Build
